Returns the current user's cart.
Shop Builder API (2.0.0)
- Version: 2.0.0
- Servers:
https://store.xsolla.com/api - Contact Us by Email
- Contact URL: https://xsolla.com/
- Required TLS version: 1.2
Shop Builder API provides a third-party solution for implementing the server side for your store interface. Use the endpoints to manage in-game items, in-game currencies, cart, player inventory, promotions, game library, etc.
Personalized catalog
This API allows to specify rules for user attributes. If the user meets all conditions for a concrete rule, personalized items will be shown.
For personalized promotions see Promotions section.
To pass attributes before a purchase, you can use Xsolla Login API or pass them into user.attributes property while generating token using Pay Station API.
Project ID. You can find this parameter in your Publisher Account next to the name of the project.
The item price currency displayed in the cart. Three-letter currency code per ISO 4217. Check the documentation for detailed information about currencies supported by Xsolla.
- Mock serverhttps://xsolla.redocly.app/_mock/api/shop-builder/v2/project/{project_id}/cart
- https://store.xsolla.com/api/v2/project/{project_id}/cart
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://xsolla.redocly.app/_mock/api/shop-builder/v2/project/44056/cart?currency=USD&locale=en' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'The cart with items was successfully returned.
Cart price.
Applied promotions for the entire cart. The array is returned in the following cases:
A promotion affects the total cart amount, such as a promo code with the Discount on purchase setting.
A promotion adds bonus items to the cart.
If no order-level promotions are applied, an empty array is returned.
{ "cart_id": "cart_id", "is_free": false, "items": [ { … } ], "price": { "amount": "6150.0000000000000000", "amount_without_discount": "6150.0000000000000000", "currency": "USD" }, "promotions": [ { … } ] }
Project ID. You can find this parameter in your Publisher Account next to the name of the project.
- Mock serverhttps://xsolla.redocly.app/_mock/api/shop-builder/v2/project/{project_id}/cart/{cart_id}/clear
- https://store.xsolla.com/api/v2/project/{project_id}/cart/{cart_id}/clear
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
https://xsolla.redocly.app/_mock/api/shop-builder/v2/project/44056/cart/custom_id/clear \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Project ID. You can find this parameter in your Publisher Account next to the name of the project.
- Mock serverhttps://xsolla.redocly.app/_mock/api/shop-builder/v2/project/{project_id}/cart/clear
- https://store.xsolla.com/api/v2/project/{project_id}/cart/clear
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
https://xsolla.redocly.app/_mock/api/shop-builder/v2/project/44056/cart/clear \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'